import { BehaviorSubject } from 'rxjs';
import type { CommitParams, Connect, ConnectionStatus, Message, Metadata, RequestParams, Socket, SocketObservable } from '../../../';
export declare class ConnectMock implements Connect {
    isConnected: boolean;
    status: ConnectionStatus;
    _status: BehaviorSubject<ConnectionStatus>;
    _hostUrl: BehaviorSubject<String>;
    socket: Socket;
    send<T>(message: Message<any>, needsHandling?: boolean): Promise<any>;
    setValidSession(valid: boolean): void;
    httpMode(): boolean;
    nextMetadata: Metadata;
    nextJSONSchema: any;
    nextMessage: Message;
    commitEvent(eventName: string, params?: CommitParams): Promise<Message>;
    connect(host: string): Promise<boolean>;
    disconnect(): void;
    getMetadata(resourceName: string): Promise<Metadata>;
    request(resourceName: string, params?: RequestParams): Promise<Message>;
    snapshot(resourceName: string, params?: any): Promise<Message>;
    stream(resourceName: string, onMessage: Function, onError: Function, params?: any): SocketObservable<Message>;
    getMoreRows(sourceRef: string): Promise<Message<any>>;
    dataLogoff(sourceRef: string): Promise<Message<any>>;
    getJSONSchema(resourceName: string): Promise<any>;
}
//# sourceMappingURL=connect.d.ts.map